KToggleAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KToggleAction Class Reference

Checkbox like action. Checkbox like action. More...

`#include <kaction.h>`

Inheritance diagram for KToggleAction:

[legend]
Collaboration diagram for KToggleAction:

[legend]
List of all members.

## Public Slots
virtual void | setChecked (bool)
| Sets the state of the action.
## Signals
void | toggled (bool)
## Public Member Functions
| KToggleAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| Constructs a toggle action with text and potential keyboard accelerator but nothing else.
| KToggleAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KToggleAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KToggleAction (QObject *parent=0, const char *name=0)
virtual | ~KToggleAction ()
| Destructor.
virtual int | plug (QWidget *widget, int index=-1)
| "Plug" or insert this action into a given widget.
bool | isChecked () const
| Returns the actual state of the action.
QString | exclusiveGroup () const
virtual void | setExclusiveGroup (const QString &name)
| Defines which "exclusive group" this action is part of.
## Protected Slots
virtual void | slotActivated ()
## Protected Member Functions
virtual void | updateChecked (int id)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Checkbox like action. Checkbox like action.

This action provides two states: checked or not.

Definition at line 611 of file kaction.h.

## Constructor & Destructor Documentation

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Constructs a toggle action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing. Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1205 of file kaction.cpp. References KStdAccel::cut(), and QObject::name().

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1213 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1221 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1229 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1237 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToggleAction::KToggleAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1247 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToggleAction::KToggleAction | ( | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1257 of file kaction.cpp. References KStdAccel::name().

KToggleAction::~KToggleAction | ( |  | ) | `[virtual]`

| Destructor. Definition at line 1263 of file kaction.cpp.

## Member Function Documentation

int KToggleAction::plug | ( | QWidget * | widget,
|  | int | index = -1
| ) | `[virtual]`

  | "Plug" or insert this action into a given widget. This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KToggleAction object. Parameters:
  widget | The GUI element to display this action.
  index | The index of the item.
Reimplemented from KAction. Reimplemented in KToggleToolBarAction. Definition at line 1268 of file kaction.cpp. References isChecked(), QObject::name(), KAction::plug(), KToolBar::setButton(), and KToolBar::setToggle(). Referenced by KToggleToolBarAction::plug().

bool KToggleAction::isChecked | ( |  | ) | const

| Returns the actual state of the action. Definition at line 1351 of file kaction.cpp. Referenced by plug(), and setChecked().

QString KToggleAction::exclusiveGroup | ( |  | ) | const

| Returns: which "exclusive group" this action is part of. See also: setExclusiveGroup Definition at line 1361 of file kaction.cpp. Referenced by setChecked().

void KToggleAction::setExclusiveGroup | ( | const QString & | name | ) | `[virtual]`

| Defines which "exclusive group" this action is part of. In a given exclusive group, only one toggle action can be checked at a any moment. Checking an action unchecks the other actions of the group. Definition at line 1356 of file kaction.cpp. References KStdAccel::name().

void KToggleAction::setChecked | ( | bool |  | ) | `[virtual, slot]`

| Sets the state of the action. Reimplemented in KToggleToolBarAction. Definition at line 1297 of file kaction.cpp. References exclusiveGroup(), isChecked(), QString::isEmpty(), QObject::parent(), and toggled(). Referenced by KStdAction::create(), KToggleToolBarAction::setChecked(), KStdAction::showMenubar(), KStdAction::showStatusbar(), and KStdAction::showToolbar().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:02 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001